Bug 23981 - Some [Assembly*] attributes are not "compiled" correctly in the PE files
Summary: Some [Assembly*] attributes are not "compiled" correctly in the PE files
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2014-10-21 19:52 UTC by Sebastien Pouliot
Modified: 2014-11-10 10:11 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Sebastien Pouliot 2014-10-21 19:52:47 UTC
Compile a .dll with a [assembly: AssemblyTitle ("missing")] attribute and look at the file properties (on Windows, see [1] for a flash video). The content "missing" won't be shown in the properties.

Not sure if it's an issue with the compiler (not asking the runtime for it) or the runtime itself (while it create the PE file).

[1] https://xamarin.desk.com/agent/case/92684
Comment 1 Marek Safar 2014-11-10 10:11:20 UTC
Fixed in master